ข้ามไปที่เนื้อหาหลัก
การสนับสนุน
ลงชื่อเข้าใช้

อาการ

พิจารณาสถานการณ์ต่อไปนี้:

  • คุณสามารถใช้ฐานข้อมูล Microsoft SQL Server ๒๐๑๗เป็นแหล่งข้อมูลสำหรับแบบสอบถามแบบใช้สร้างตารางโดยตรงใน SQL Server Analysis Service ๒๐๑๖

  • ฐานข้อมูล SQL เป้าหมายอยู่ในระดับความเข้ากันได้ที่เก่ากว่าเช่น SQL Server ๒๐๑๖ระดับ

ในสถานการณ์สมมตินี้เมื่อคุณเรียกดูแบบสอบถามโดยตรงคุณจะได้รับข้อความแสดงข้อผิดพลาดต่อไปนี้:

ข้อผิดพลาด DirectQuery: DirectQuery อาจไม่สามารถใช้กับแหล่งข้อมูลนี้ได้โปรดพิจารณาการย้ายไปยังแหล่งข้อมูลที่ได้รับการสนับสนุนหรือการอัปเกรดแหล่งข้อมูล SQL Server เป็นเวอร์ชันล่าสุดที่พร้อมใช้งาน

 

การแก้ไข

การแก้ไขนี้จะรวมอยู่ในการอัปเดตที่สะสมต่อไปนี้สำหรับ SQL Server:

การอัปเดตที่สะสม7สำหรับ SQL Server ๒๐๑๗

การอัปเดตที่สะสม8สำหรับ SQL Server ๒๐๑๖ Service Pack 1

เกี่ยวกับ SQL Server รุ่น

รุ่นใหม่แต่ละรุ่นสำหรับ SQL Server ๒๐๑๖ประกอบด้วยโปรแกรมแก้ไขด่วนและการแก้ไขปัญหาด้านความปลอดภัยทั้งหมดที่อยู่ในรุ่นก่อนหน้า เราขอแนะนำให้คุณติดตั้งการอัปเดตที่สะสมล่าสุดสำหรับ SQL Server:

รุ่นล่าสุดสำหรับ SQL Server ๒๐๑๗

รุ่นล่าสุดสำหรับ SQL Server ๒๐๑๖

สถานะ

Microsoft ยืนยันว่าปัญหานี้เป็นปัญหาที่เกิดขึ้นกับผลิตภัณฑ์ของ Microsoft ซึ่งมีการระบุไว้ในส่วน "นำไปใช้กับ"

อ้างอิง

เรียนรู้เกี่ยวกับคำ ศัพท์เฉพาะ ทางที่ Microsoft ใช้เพื่ออธิบายการอัปเดตซอฟต์แวร์

ต้องการความช่วยเหลือเพิ่มเติมหรือไม่

ขยายทักษะของคุณ
สำรวจการฝึกอบรม
รับฟีเจอร์ใหม่ก่อนใคร
เข้าร่วม Microsoft Insider

ข้อมูลนี้เป็นประโยชน์หรือไม่

คุณพึงพอใจกับคุณภาพภาษาเพียงใด
สิ่งที่ส่งผลต่อประสบการณ์ใช้งานของคุณ

ขอบคุณสำหรับคำติชมของคุณ!

×